import Vue from 'vue'
import App from './App.vue'
import store from '@/store'
// import i18n from '@/util/lang/lang'

import Invite from '@/components/popup/invite'
import Avatar from '@/components/popup/avatar'
import Info from '@/components/popup/userInfo'
import otherInfo from '@/components/popup/otherInfo'
import imgPreview from '@/components/popup/imgPreview'
import packetGet from '@/components/popup/packetGet'
import Toast from '@/components/popup/toast'
import VueClipboard from 'vue-clipboard2'
import directive from '@/plugins/directive'
import Vuebar from 'vuebar'

Vue.use(Vuebar)
Vue.use(Invite, store)
Vue.use(Avatar, store)
Vue.use(Info, store)
Vue.use(otherInfo, store)
Vue.use(packetGet, store)
Vue.use(Toast)
Vue.use(VueClipboard)
Vue.use(directive)
Vue.use(Vuebar)
Vue.use(imgPreview)

Vue.config.productionTip = false

new Vue({
  render: h => h(App),
  store
  // i18n
}).$mount('#app')
